This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 822947

Summary: [as7] extra/redundant jars are getting added to the jboss-as-7 plugin jar's lib directory
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: PluginsAssignee: Charles Crouch <ccrouch>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.4CC: ccrouch, hbrock, hrupp, skondkar
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822736 Environment:
Last Closed: 2013-09-03 11:04:25 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 822736    
Bug Blocks: 707223    

Description Ian Springer 2012-05-18 11:21:54 EDT
+++ This bug was initially created as a clone of Bug #822736 +++

There are a bunch of extra jars that shouldn't be in there, mostly maven/plexus jars: 

 13494 Sun May 13 20:29:44 EDT 2012 lib/plexus-cipher-1.4.jar
 14438 Sun May 13 20:29:44 EDT 2012 lib/aether-spi-1.8.jar
 11063 Sun May 13 20:29:44 EDT 2012 lib/wagon-file-1.0-beta-7.jar
146418 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-impl-base-1.0.0.jar
222137 Sun May 13 20:29:44 EDT 2012 lib/plexus-utils-2.0.4.jar
114622 Sun May 13 20:29:44 EDT 2012 lib/aether-util-1.8.jar
133826 Sun May 13 20:29:44 EDT 2012 lib/xbean-reflect-3.4.jar
 43621 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-impl-maven-1.0.0-beta-6.jar
639592 Sun May 13 20:29:44 EDT 2012 lib/google-collections-1.0.jar
 52151 Sun May 13 20:29:44 EDT 2012 lib/maven-aether-provider-3.0.1.jar
 61072 Sun May 13 20:29:44 EDT 2012 lib/plexus-interpolation-1.14.jar
 36902 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-descriptors-spi-2.0.0-alpha-2.jar
 14991 Sun May 13 20:29:44 EDT 2012 lib/wagon-http-lightweight-1.0-beta-7.jar
  4211 Sun May 13 20:29:44 EDT 2012 lib/plexus-component-annotations-1.5.5.jar
 46676 Sun May 13 20:29:44 EDT 2012 lib/maven-settings-3.0.1.jar
 11233 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-api-1.0.0-beta-6.jar
148105 Sun May 13 20:29:44 EDT 2012 lib/maven-model-builder-3.0.1.jar
228417 Sun May 13 20:29:44 EDT 2012 lib/jackson-core-asl-1.9.5.jar
 62586 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-api-1.0.0.jar
216640 Sun May 13 20:29:44 EDT 2012 lib/plexus-container-default-1.5.5.jar
 44598 Sun May 13 20:29:44 EDT 2012 lib/commons-logging-api-1.1.jar
 25516 Sun May 13 20:29:44 EDT 2012 lib/wagon-http-shared-1.0-beta-7.jar
 28555 Sun May 13 20:29:44 EDT 2012 lib/plexus-sec-dispatcher-1.3.jar
 88682 Sun May 13 20:29:44 EDT 2012 lib/jboss-sasl-1.0.0.Final.jar
164683 Sun May 13 20:29:44 EDT 2012 lib/maven-model-3.0.1.jar
778983 Sun May 13 20:29:44 EDT 2012 lib/jackson-mapper-asl-1.9.5.jar
108886 Sun May 13 20:29:44 EDT 2012 lib/aether-impl-1.8.jar
  3646 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-spi-1.0.0.jar
 14313 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-resolver-api-maven-1.0.0-beta-6.jar
 60768 Sun May 13 20:29:44 EDT 2012 lib/jboss-logging-3.1.0.GA.jar
 41026 Sun May 13 20:29:44 EDT 2012 lib/maven-settings-builder-3.0.1.jar
 30087 Sun May 13 20:29:44 EDT 2012 lib/maven-repository-metadata-3.0.1.jar
 53227 Sun May 13 20:29:44 EDT 2012 lib/wagon-provider-api-1.0-beta-7.jar
 15140 Sun May 13 20:29:44 EDT 2012 lib/shrinkwrap-descriptors-api-base-2.0.0-alpha-2.jar
 46088 Sun May 13 20:29:44 EDT 2012 lib/plexus-classworlds-2.2.2.jar
 28432 Sun May 13 20:29:44 EDT 2012 lib/aether-connector-wagon-1.8.jar
 77252 Sun May 13 20:29:44 EDT 2012 lib/aether-api-1.8.jar



The only jars that actually should be in there are:

 88682 Thu May 17 22:12:30 EDT 2012 lib/jboss-sasl-1.0.0.Final.jar
778983 Thu May 17 22:12:30 EDT 2012 lib/jackson-mapper-asl-1.9.5.jar
228417 Thu May 17 22:12:30 EDT 2012 lib/jackson-core-asl-1.9.5.jar

--- Additional comment from ian.springer@redhat.com on 2012-05-17 22:35:37 EDT ---

Fixed in master:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=d2d6d9c

--- Additional comment from ian.springer@redhat.com on 2012-05-18 11:20:43 EDT ---

Cherry picked to 3.1.x release branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=18a351c
Comment 1 Sunil Kondkar 2012-05-31 03:32:04 EDT
Verified on Version: 3.1.0.CR1 Build Number: 4bc4270:1b85993

The jboss-as-7 plugin jar's lib directory has below 3 files:

[root@sunillaptop lib]# ll
total 1076
-rw-r--r--. 1 root root 228417 May 29 19:10 jackson-core-asl-1.9.5.jar
-rw-r--r--. 1 root root 778983 May 29 19:10 jackson-mapper-asl-1.9.5.jar
-rw-r--r--. 1 root root  88682 May 29 19:10 jboss-sasl-1.0.0.Final.jar
Comment 4 Heiko W. Rupp 2013-09-03 11:04:25 EDT
Bulk closing of old issues in VERIFIED state.